/*
 * Button.h
 *
 *  Created on: Nov 3, 2012
 *      Author: arturo
 */

#ifndef BUTTON_H_
#define BUTTON_H_

#include "ofMain.h"

class Button {
public:
	Button();
	virtual ~Button();

	void setup(ofRectangle activeArea);
	void update();
	void draw();

	void mousePressed(ofMouseEventArgs & mouse);
	void mouseReleased(ofMouseEventArgs & mouse);
	void mouseMoved(ofMouseEventArgs & mouse);
	void mouseDragged(ofMouseEventArgs & mouse);

	ofEvent<ofPoint> mouseOver;
	ofEvent<bool> mouseClick;
	ofRectangle activeArea;

	bool clicked;
};

#endif /* BUTTON_H_ */
