#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	button.setup(ofRectangle(20,20,200,40));
	ofAddListener(button.mouseClick,this,&testApp::onButtonClicked);
	ofAddListener(button.mouseOver,this,&testApp::onMouseOverButton);
	player.loadSound("synth.wav");
}

void testApp::onButtonClicked(const void * sender, bool & clicked){
	if(clicked && sender==&button){
		player.play();
	}
}

void testApp::onMouseOverButton(const void * sender, ofPoint & relativePos){

}

//--------------------------------------------------------------
void testApp::update(){
}

//--------------------------------------------------------------
void testApp::draw(){
	if(button.clicked){
		ofSetColor(255,0,0);
	}else{
		ofSetColor(0,0,255);
	}

	ofCircle(40,100,20);
	button.draw();
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}


//--------------------------------------------------------------
void testApp::touchDown(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchMoved(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchUp(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchCancelled(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::swipe(ofxAndroidSwipeDir swipeDir, int id){

}

//--------------------------------------------------------------
void testApp::pause(){

}

//--------------------------------------------------------------
void testApp::stop(){

}

//--------------------------------------------------------------
void testApp::resume(){

}

//--------------------------------------------------------------
void testApp::reloadTextures(){

}

//--------------------------------------------------------------
bool testApp::backPressed(){
	return false;
}

//--------------------------------------------------------------
void testApp::okPressed(){

};

//--------------------------------------------------------------
void testApp::cancelPressed(){

};
