#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofRegisterGPSEvent(this);
	ofxAndroidGPS::startGPS();
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
	ofPushMatrix();
	ofScale(4,4,4);
	ofDrawBitmapString("alt: " + ofToString(currentLocation.altitude) + "\n"
			"lon: " + ofToString(currentLocation.longitude) + "\n"
			"lat: " + ofToString(currentLocation.latitude) + "\n"
			"speed: "+ ofToString(currentLocation.speed) + "\n"
			"bearing: " + ofToString(currentLocation.bearing) + "\n",20,20);

	ofPopMatrix();
}

//--------------------------------------------------------------
void testApp::locationChanged(ofxLocation & location){
	currentLocation = location;
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}


//--------------------------------------------------------------
void testApp::touchDown(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchMoved(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchUp(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchCancelled(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::swipe(ofxAndroidSwipeDir swipeDir, int id){

}

//--------------------------------------------------------------
void testApp::pause(){

}

//--------------------------------------------------------------
void testApp::stop(){

}

//--------------------------------------------------------------
void testApp::resume(){

}

//--------------------------------------------------------------
void testApp::reloadTextures(){

}

