#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
    grabber.initGrabber(640,480);
    tex.allocate(640,480,GL_RGB);
    glEnable(GL_DEPTH_TEST);
}

//--------------------------------------------------------------
void testApp::update(){
    grabber.update();
    if(grabber.isFrameNew()){
        tex.loadData(grabber.getPixelsRef());
    }
}

//--------------------------------------------------------------
void testApp::draw(){
    //grabber.draw(0,0);
    //ofSetColor(255,0,0);

    /*ofPushMatrix();
    ofTranslate(160,120);
    ofRotate(float(mouseX)/float(ofGetWidth())*90);
    ofTranslate(-160,-120);
    tex.draw(0,0,320,240);
    ofPopMatrix();



    ofPushMatrix();
    ofTranslate(160+320,120);
    ofRotate(float(mouseX)/float(ofGetWidth())*90);
    ofTranslate(-(160+320),-120);
    tex.draw(320,0,320,240);
    ofPopMatrix();*/


    ofPushMatrix();
    ofTranslate(320,ofGetHeight(),240);
    ofRotateX(float(mouseX)/float(ofGetWidth())*-180);
    ofRotateY(float(mouseY)/float(ofGetHeight())*-180);
    ofTranslate(-320,-ofGetHeight(),-240);
    for(int y=0;y<480;y+=3){
        for(int x=0;x<640;x+=3){
            ofColor color = grabber.getPixelsRef().getColor(x,y);
            ofSetColor(color);
            float bri = color.getBrightness();
            ofLine(x,ofGetHeight(),-y, x,ofGetHeight()-bri,-y);
        }
    }
    ofPopMatrix();

}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void testApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void testApp::dragEvent(ofDragInfo dragInfo){

}
