/*
 * Button.cpp
 *
 *  Created on: Nov 3, 2012
 *      Author: arturo
 */

#include "Button.h"

Button::Button() {
	clicked = false;

}

Button::~Button() {
	ofUnregisterMouseEvents(this);
}

void Button::setup(ofRectangle activeArea){
	this->activeArea = activeArea;
	ofRegisterMouseEvents(this);

	//ofAddListener(ofEvents().mousePressed,this,&Button::mousePressed);
}

void Button::update(){

}

void Button::draw(){
	ofColor c = ofGetStyle().color;
	//ofPushStyle();
	ofSetColor(255);
	ofRect(activeArea);
	//ofPopStyle();
	ofSetColor(c);
}

void Button::mousePressed(ofMouseEventArgs & mouse){
	if(activeArea.inside(mouse.x,mouse.y)){
		bool pressed = true;
		clicked = true;
		ofNotifyEvent(mouseClick,pressed,this);
	}
}

void Button::mouseReleased(ofMouseEventArgs & mouse){
	if(clicked){
		bool pressed = false;
		clicked = false;
		ofNotifyEvent(mouseClick,pressed,this);
	}
}

void Button::mouseMoved(ofMouseEventArgs & mouse){
	if(activeArea.inside(mouse.x,mouse.y)){
		ofPoint pos(mouse.x, mouse.y);
		pos -= activeArea.position;
		ofNotifyEvent(mouseOver,pos,this);
	}
}

void Button::mouseDragged(ofMouseEventArgs & mouse){
	mouseMoved(mouse);
}















