#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "ofxAndroid.h"
#include "Button.h"

class testApp : public ofBaseApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		Button button;
		ofSoundPlayer player;

		void onButtonClicked(const void * sender, bool & clicked);
		void onMouseOverButton(const void * sender, ofPoint & relativePos);

		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);

		void touchDown(int x, int y, int id);
		void touchMoved(int x, int y, int id);
		void touchUp(int x, int y, int id);
		void touchDoubleTap(int x, int y, int id);
		void touchCancelled(int x, int y, int id);
		void swipe(ofxAndroidSwipeDir swipeDir, int id);

		void pause();
		void stop();
		void resume();
		void reloadTextures();

		bool backPressed();
		virtual void okPressed();
		virtual void cancelPressed();
};

#endif	

