#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	buffer.resize(256);
	stream.setup(this,2,1,44100,256,1);
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
	for(int i=1;i<256;i++){
		ofLine((i-1)*2, buffer[i-1]*-100 + 300,
				i*2, buffer[i]*-100 + 300);
	}

	ofRect(10,ofGetHeight(),40,-amplitude*100);
}

void testApp::audioIn( float * input, int bufferSize, int nChannels ){
	float sumAmplitude = 0;
	for(int i=0;i<bufferSize;i++){
		buffer[i] = input[i];
		sumAmplitude += abs(input[i]);
	}
	sumAmplitude/=256.;
	amplitude = sumAmplitude;
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}


//--------------------------------------------------------------
void testApp::touchDown(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchMoved(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchUp(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchCancelled(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::swipe(ofxAndroidSwipeDir swipeDir, int id){

}

//--------------------------------------------------------------
void testApp::pause(){

}

//--------------------------------------------------------------
void testApp::stop(){

}

//--------------------------------------------------------------
void testApp::resume(){

}

//--------------------------------------------------------------
void testApp::reloadTextures(){

}

//--------------------------------------------------------------
bool testApp::backPressed(){
	return false;
}

//--------------------------------------------------------------
void testApp::okPressed(){

};

//--------------------------------------------------------------
void testApp::cancelPressed(){

};
